Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8514)
@@ -81,5 +81,5 @@
       IF( kt == nit000 .AND. lwp )   WRITE(numout,*) '-- ice_itd_rem: remapping ice thickness distribution' 
 
-      IF( ln_limdiachk ) CALL ice_cons_hsm(0, 'iceitd_rem', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk ) CALL ice_cons_hsm(0, 'iceitd_rem', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
 
       !-----------------------------------------------------------------------------------------------
@@ -291,5 +291,5 @@
          CALL tab_2d_1d( nidx, idxice(1:nidx), ht_i_1d (1:nidx), ht_i(:,:,1)   )
          CALL tab_2d_1d( nidx, idxice(1:nidx), a_i_1d  (1:nidx), a_i(:,:,1)    )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), a_ip_1d (1:nidx), a_ip(:,:,1)    )
+         CALL tab_2d_1d( nidx, idxice(1:nidx), a_ip_1d (1:nidx), a_ip(:,:,1)   )
          
          DO ji = 1, nidx
@@ -307,9 +307,9 @@
          CALL tab_1d_2d( nidx, idxice(1:nidx), ht_i_1d (1:nidx), ht_i(:,:,1)   )
          CALL tab_1d_2d( nidx, idxice(1:nidx), a_i_1d  (1:nidx), a_i(:,:,1)    )
-         CALL tab_1d_2d( nidx, idxice(1:nidx), a_ip_1d (1:nidx), a_ip(:,:,1)    )
+         CALL tab_1d_2d( nidx, idxice(1:nidx), a_ip_1d (1:nidx), a_ip(:,:,1)   )
          !
       ENDIF
       !
-      IF( ln_limdiachk )   CALL ice_cons_hsm(1, 'iceitd_rem', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk )   CALL ice_cons_hsm(1, 'iceitd_rem', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
       !
    END SUBROUTINE ice_itd_rem
@@ -664,5 +664,5 @@
       IF(lwp) THEN                  ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'ice_itd_init : Initialization of ice cat distribution '
+         WRITE(numout,*) 'ice_itd_init: Initialization of ice cat distribution '
          WRITE(numout,*) '~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namice_itd : '
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerdgrft.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerdgrft.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerdgrft.F90	(revision 8514)
@@ -141,5 +141,5 @@
       ENDIF      
       !                    ! conservation test
-      IF( ln_limdiachk )   CALL ice_cons_hsm(0, 'icerdgrft', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk )   CALL ice_cons_hsm(0, 'icerdgrft', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
 
       !-----------------------------------------------------------------------------!
@@ -288,5 +288,5 @@
       !-----------------------------------------------------------------------------!
       !                    ! conservation test
-      IF( ln_limdiachk )   CALL ice_cons_hsm(1, 'icerdgrft', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk )   CALL ice_cons_hsm(1, 'icerdgrft', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
 
       !                    ! control prints
@@ -774,5 +774,5 @@
 
       !                              !--------------------------------------------------!
-      IF( ln_str_Rot ) THEN          ! Ice strength => Rothrock (1975) method           !
+      IF( ln_str_R75 ) THEN          ! Ice strength => Rothrock (1975) method           !
       !                              !--------------------------------------------------!
          z1_3 = 1._wp / 3._wp
@@ -793,5 +793,5 @@
          ismooth = 1
       !                              !--------------------------------------------------!
-      ELSEIF( ln_str_Hib ) THEN      ! Ice strength => Hibler (1979) method             !
+      ELSEIF( ln_str_H79 ) THEN      ! Ice strength => Hibler (1979) method             !
       !                              !--------------------------------------------------!
          strength(:,:) = rn_pstar * vt_i(:,:) * EXP( - rn_crhg * ( 1._wp - at_i(:,:) )  ) * tmask(:,:,1)
@@ -865,6 +865,6 @@
       INTEGER :: ios                 ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_rdgrft/ ln_str_Hib, rn_pstar, rn_crhg, &
-         &                    ln_str_Rot, rn_perdg,          &
+      NAMELIST/namice_rdgrft/ ln_str_H79, rn_pstar, rn_crhg, &
+         &                    ln_str_R75, rn_perdg,          &
          &                    rn_cs     ,                    &
          &                    ln_partf_lin, rn_gstar,        &
@@ -885,11 +885,11 @@
       IF (lwp) THEN                          ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'ice_rdgrft_init : ice parameters for ridging/rafting '
+         WRITE(numout,*) 'ice_rdgrft_init: ice parameters for ridging/rafting '
          WRITE(numout,*) '~~~~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namice_rdgrft'
-         WRITE(numout,*) '      ice strength parameterization Hibler (1979)              ln_str_Hib   = ', ln_str_Hib 
+         WRITE(numout,*) '      ice strength parameterization Hibler (1979)              ln_str_H79   = ', ln_str_H79 
          WRITE(numout,*) '            1st bulk-rheology parameter                        rn_pstar     = ', rn_pstar
          WRITE(numout,*) '            2nd bulk-rhelogy parameter                         rn_crhg      = ', rn_crhg
-         WRITE(numout,*) '      ice strength parameterization Rothrock (1975)            ln_str_Rot   = ', ln_str_Rot 
+         WRITE(numout,*) '      ice strength parameterization Rothrock (1975)            ln_str_R75   = ', ln_str_R75 
          WRITE(numout,*) '            Ratio of ridging work to PotEner change in ridging rn_perdg     = ', rn_perdg 
          WRITE(numout,*) '      Fraction of shear energy contributing to ridging         rn_cs        = ', rn_cs 
@@ -910,6 +910,6 @@
       ENDIF
       !
-      IF ( ( ln_str_Hib .AND. ln_str_Rot ) .OR. ( .NOT.ln_str_Hib .AND. .NOT.ln_str_Rot ) ) THEN
-         CALL ctl_stop( 'ice_rdgrft_init: choose one and only one formulation for ice strength (ln_str_Hib or ln_str_Rot)' )
+      IF ( ( ln_str_H79 .AND. ln_str_R75 ) .OR. ( .NOT.ln_str_H79 .AND. .NOT.ln_str_R75 ) ) THEN
+         CALL ctl_stop( 'ice_rdgrft_init: choose one and only one formulation for ice strength (ln_str_H79 or ln_str_R75)' )
       ENDIF
       !
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg.F90	(revision 8514)
@@ -70,5 +70,5 @@
       !
       !                             ! -- conservation test
-      IF( ln_limdiachk )   CALL ice_cons_hsm(0, 'icerhg', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk )   CALL ice_cons_hsm(0, 'icerhg', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
       !                      
       IF( ln_landfast ) THEN        ! -- Landfast ice parameterization: define max bottom friction
@@ -96,5 +96,5 @@
       !
       !                                                   !- conservation test
-      IF( ln_limdiachk   )   CALL ice_cons_hsm(1, 'icerhg', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk   )   CALL ice_cons_hsm(1, 'icerhg', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
       IF( ln_ctl         )   CALL ice_prt3D  ('icerhg')   !- Control prints
       IF( nn_timing == 1 )   CALL timing_stop('icerhg')   !- timing
@@ -132,5 +132,5 @@
       IF(lwp) THEN                     ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'ice_rhg_init : ice parameters for ice dynamics '
+         WRITE(numout,*) 'ice_rhg_init: ice parameters for ice dynamics '
          WRITE(numout,*) '~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namice_rhg'
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90	(revision 8514)
@@ -90,5 +90,5 @@
       ENDIF
       !
-      IF( ln_limctl )   CALL ice_prt( kt, iiceprt, jiceprt, 1, ' - Beginning the time step - ' )   ! control print
+      IF( ln_icectl )   CALL ice_prt( kt, iiceprt, jiceprt, 1, ' - Beginning the time step - ' )   ! control print
    END SUBROUTINE ice_rst_opn
 
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8514)
@@ -49,5 +49,5 @@
    USE limmp          ! sea-ice: melt ponds
    ! END MV MP 2016
-   USE iceist         ! sea-ice: initial state
+   USE iceistate      ! sea-ice: initial state
    USE icethd_sal     ! sea-ice: thermodynamics and salinity
    USE iceitd         ! sea-ice: remapping thickness distribution
@@ -163,5 +163,5 @@
          IF( .NOT. Agrif_Root()     )   CALL agrif_interp_lim3('T')   ! -- AGRIF 
 #endif
-         IF( ln_limthd .AND. ln_bdy )   CALL bdy_ice( kt )            ! -- bdy ice thermo
+         IF( ln_icethd .AND. ln_bdy )   CALL bdy_ice( kt )            ! -- bdy ice thermo
          !
          !
@@ -191,5 +191,5 @@
          ! --- ice thermodynamics --- !
          !----------------------------!
-         IF( ln_limthd )            CALL ice_thd( kt )          ! -- Ice thermodynamics      
+         IF( ln_icethd )            CALL ice_thd( kt )          ! -- Ice thermodynamics      
 
          ! MV MP 2016
@@ -197,5 +197,5 @@
          ! END MV MP 2016
 
-         IF( ln_limthd )            CALL ice_cor( kt , 2 )      ! -- Corrections
+         IF( ln_icethd )            CALL ice_cor( kt , 2 )      ! -- Corrections
          ! ---
 # if defined key_agrif
@@ -214,5 +214,5 @@
 !!         IF( .NOT. Agrif_Root() )   CALL Agrif_ParentGrid_To_ChildGrid()
 !!# endif
-         IF( ln_limdiahsb )         CALL ice_dia( kt )        ! -- Diagnostics and outputs 
+         IF( ln_icediahsb )         CALL ice_dia( kt )        ! -- Diagnostics and outputs 
          !
                                     CALL ice_wri( 1 )         ! -- Ice outputs 
@@ -223,5 +223,5 @@
          IF( lrst_ice )             CALL ice_rst_write( kt )  ! -- Ice restart file 
          !
-         IF( ln_limctl )            CALL ice_ctl( kt )        ! alerts in case of model crash
+         IF( ln_icectl )            CALL ice_ctl( kt )        ! alerts in case of model crash
          !
       ENDIF   ! End sea-ice time step only
@@ -249,6 +249,6 @@
       !!----------------------------------------------------------------------
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'ice_init : update ocean surface boudary condition' 
-      IF(lwp) WRITE(numout,*) '~~~~~~~~   via Louvain la Neuve Ice Model (LIM-3) time stepping'
+      IF(lwp) WRITE(numout,*) 'ice_init: Arrays allocation & Initialization off all routines & init state' 
+      IF(lwp) WRITE(numout,*) '~~~~~~~~'
       !
       !                                ! Open the reference and configuration namelist files and namelist output file
@@ -285,5 +285,5 @@
       !                                ! Initial sea-ice state
       IF( .NOT. ln_rstart ) THEN              ! start from rest: sea-ice deduced from sst
-         CALL ice_ist
+         CALL ice_istate
       ELSE                                    ! start from a restart file
          CALL ice_rst_read
@@ -360,5 +360,5 @@
       ENDIF
       !
-      IF( ln_bdy .AND. ln_limdiachk )   CALL ctl_warn('ice_run_init: online conservation check does not work with BDY')
+      IF( ln_bdy .AND. ln_icediachk )   CALL ctl_warn('ice_run_init: online conservation check does not work with BDY')
       !
       rdt_ice   = REAL(nn_fsbc) * rdt           !--- sea-ice timestep and inverse
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8514)
@@ -97,5 +97,5 @@
       
       ! conservation test
-      IF( ln_limdiachk )   CALL ice_cons_hsm( 0, 'icethd', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b )
+      IF( ln_icediachk )   CALL ice_cons_hsm( 0, 'icethd', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b )
 
       CALL ice_var_glo2eqv
@@ -179,7 +179,7 @@
       
       ! In case we bypass open-water ice formation
-      IF( .NOT. ln_limdO )  qlead(:,:) = 0._wp
+      IF( .NOT. ln_icedO )  qlead(:,:) = 0._wp
       ! In case we bypass growing/melting from top and bottom: we suppose ice is impermeable => ocean is isolated from atmosphere
-      IF( .NOT. ln_limdH ) THEN
+      IF( .NOT. ln_icedH ) THEN
          hfx_in(:,:) = ( 1._wp - at_i_b(:,:) ) * ( qns_oce(:,:) + qsr_oce(:,:) ) + qemp_oce(:,:)
          fhtur (:,:) = 0._wp
@@ -225,5 +225,5 @@
             dh_snowice(1:nidx) = 0._wp ; dh_i_sub (1:nidx) = 0._wp
             !
-            IF( ln_limdH ) THEN                                     ! --- growing/melting --- !
+            IF( ln_icedH ) THEN                                     ! --- growing/melting --- !
                               CALL ice_thd_dif                             ! Ice/Snow Temperature profile
                               CALL ice_thd_dh                              ! Ice/Snow thickness   
@@ -236,8 +236,8 @@
             !
 !!gm please create a new logical (l_thd_lam or a better explicit name) set one for all in icestp.F90 module
-!!gm        l_thd_lam = ln_limdH .AND. ( ( nn_monocat == 1 .OR. nn_monocat == 4 ) .AND. jpl == 1 )
+!!gm        l_thd_lam = ln_icedH .AND. ( ( nn_monocat == 1 .OR. nn_monocat == 4 ) .AND. jpl == 1 )
 !!gm        by the way, the different options associated with nn_monocat =1 to 4  are quite impossible to identify
 !!gm        more comment to add when ready the namelist, with an explicit print in the ocean.output
-            IF( ln_limdH ) THEN
+            IF( ln_icedH ) THEN
                IF ( ( nn_monocat == 1 .OR. nn_monocat == 4 ) .AND. jpl == 1 ) THEN
                               CALL ice_thd_lam                      ! --- extra lateral melting if monocat --- !
@@ -245,5 +245,5 @@
             END IF
             !
-            IF( ln_limdA )    CALL ice_thd_da                       ! --- lateral melting --- !
+            IF( ln_icedA )    CALL ice_thd_da                       ! --- lateral melting --- !
             !
                               CALL ice_thd_1d2d( jl, 2 )            ! --- Change units of e_i, e_s from J/m3 to J/m2 --- !
@@ -257,5 +257,5 @@
       oa_i(:,:,:) = o_i(:,:,:) * a_i(:,:,:)
 
-      IF( ln_limdiachk )   CALL ice_cons_hsm( 1, 'icethd', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b )
+      IF( ln_icediachk )   CALL ice_cons_hsm( 1, 'icethd', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b )
       !
                            CALL ice_var_zapsmall           ! --- remove very small ice concentration (<1e-10) --- !
@@ -264,7 +264,7 @@
       IF( jpl > 1 )        CALL ice_itd_rem( kt )          ! --- Transport ice between thickness categories --- !
       !
-      IF( ln_limdO )       CALL ice_thd_lac                ! --- frazil ice growing in leads --- !
-      !
-      IF( ln_limctl )      CALL ice_prt( kt, iiceprt, jiceprt, 1, ' - ice thermodyn. - ' )   ! control print
+      IF( ln_icedO )       CALL ice_thd_lac                ! --- frazil ice growing in leads --- !
+      !
+      IF( ln_icectl )      CALL ice_prt( kt, iiceprt, jiceprt, 1, ' - ice thermodyn. - ' )   ! control print
       IF( ln_ctl )         CALL ice_prt3D( 'icethd' )      ! Control print
       !
@@ -539,9 +539,9 @@
       INTEGER  ::   ios   ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_thd/ ln_limthd, rn_kappa_i, nn_ice_thcon, ln_dqnsice, rn_cdsn,                       &
-         &                ln_limdH, rn_betas,                                                             &
-         &                ln_limdA, rn_beta, rn_dmin,                                                     &
-         &                ln_limdO, rn_hnewice, ln_frazil, rn_maxfrazb, rn_vfrazb, rn_Cfrazb, rn_himin,   &
-         &                nn_limflx
+      NAMELIST/namice_thd/ ln_icethd, rn_kappa_i, ln_cndi_U64, ln_cndi_P07, ln_dqns_i, rn_cnd_s,          &
+         &                ln_icedH, rn_blow_s,                                                             &
+         &                ln_icedA, rn_beta, rn_dmin,                                                     &
+         &                ln_icedO, rn_hinew, ln_frazil, rn_maxfraz, rn_vfraz, rn_Cfraz, rn_himin,   &
+         &                nn_iceflx
       !!-------------------------------------------------------------------
       !
@@ -560,47 +560,52 @@
          WRITE(numout,*) '~~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namice_thd'
-         WRITE(numout,*) '      Ice thermodynamics (T) or not (F)                       ln_limthd    = ', ln_limthd
+         WRITE(numout,*) '      Ice thermodynamics (T) or not (F)                       ln_icethd    = ', ln_icethd
          WRITE(numout,*) '   -- icethd_dif --'
          WRITE(numout,*) '      extinction radiation parameter in sea ice               rn_kappa_i   = ', rn_kappa_i
-         WRITE(numout,*) '      switch for comp. of thermal conductivity in the ice     nn_ice_thcon = ', nn_ice_thcon
-         WRITE(numout,*) '      change the surface non-solar flux with Tsu or not       ln_dqnsice   = ', ln_dqnsice
-         WRITE(numout,*) '      thermal conductivity of the snow                        rn_cdsn      = ', rn_cdsn
+         WRITE(numout,*) '      thermal conductivity in the ice (Untersteiner 1964)     ln_cndi_U64  = ', ln_cndi_U64
+         WRITE(numout,*) '      thermal conductivity in the ice (Pringle et al 2007)    ln_cndi_P07  = ', ln_cndi_P07
+         WRITE(numout,*) '      change the surface non-solar flux with Tsu or not       ln_dqns_i    = ', ln_dqns_i
+         WRITE(numout,*) '      thermal conductivity of the snow                        rn_cnd_s     = ', rn_cnd_s
          WRITE(numout,*) '   -- icethd_dh --'
-         WRITE(numout,*) '      activate ice thick change from top/bot (T) or not (F)   ln_limdH     = ', ln_limdH
-         WRITE(numout,*) '      coefficient for ice-lead partition of snowfall          rn_betas     = ', rn_betas
+         WRITE(numout,*) '      activate ice thick change from top/bot (T) or not (F)   ln_icedH     = ', ln_icedH
+         WRITE(numout,*) '      coefficient for ice-lead partition of snowfall          rn_blow_s    = ', rn_blow_s
          WRITE(numout,*) '   -- icethd_da --'
-         WRITE(numout,*) '      activate lateral melting (T) or not (F)                 ln_limdA     = ', ln_limdA
+         WRITE(numout,*) '      activate lateral melting (T) or not (F)                 ln_icedA     = ', ln_icedA
          WRITE(numout,*) '      Coef. beta for lateral melting param.                   rn_beta      = ', rn_beta
          WRITE(numout,*) '      Minimum floe diameter for lateral melting param.        rn_dmin      = ', rn_dmin
          WRITE(numout,*) '   -- icethd_lac --'
-         WRITE(numout,*) '      activate ice growth in open-water (T) or not (F)        ln_limdO     = ', ln_limdO
-         WRITE(numout,*) '      ice thickness for lateral accretion                     rn_hnewice   = ', rn_hnewice
+         WRITE(numout,*) '      activate ice growth in open-water (T) or not (F)        ln_icedO     = ', ln_icedO
+         WRITE(numout,*) '      ice thickness for lateral accretion                     rn_hinew     = ', rn_hinew
          WRITE(numout,*) '      Frazil ice thickness as a function of wind or not       ln_frazil    = ', ln_frazil
-         WRITE(numout,*) '      Maximum proportion of frazil ice collecting at bottom   rn_maxfrazb  = ', rn_maxfrazb
-         WRITE(numout,*) '      Threshold relative drift speed for collection of frazil rn_vfrazb    = ', rn_vfrazb
-         WRITE(numout,*) '      Squeezing coefficient for collection of frazil          rn_Cfrazb    = ', rn_Cfrazb
+         WRITE(numout,*) '      Maximum proportion of frazil ice collecting at bottom   rn_maxfraz   = ', rn_maxfraz
+         WRITE(numout,*) '      Threshold relative drift speed for collection of frazil rn_vfraz     = ', rn_vfraz
+         WRITE(numout,*) '      Squeezing coefficient for collection of frazil          rn_Cfraz     = ', rn_Cfraz
          WRITE(numout,*) '   -- iceitd --'
          WRITE(numout,*) '      minimum ice thickness                                   rn_himin     = ', rn_himin 
          WRITE(numout,*) '   -- icestp --'
-         WRITE(numout,*) '      Multicategory heat flux formulation                     nn_limflx    = ', nn_limflx
+         WRITE(numout,*) '      Multicategory heat flux formulation                     nn_iceflx    = ', nn_iceflx
       ENDIF
       !
-      IF ( rn_hnewice < rn_himin )   CALL ctl_stop( 'STOP', 'ice_thd_init : rn_hnewice should be >= rn_himin' )
+      IF ( ( ln_cndi_U64 .AND. ln_cndi_P07 ) .OR. ( .NOT.ln_cndi_U64 .AND. .NOT.ln_cndi_P07 ) ) THEN
+         CALL ctl_stop( 'ice_thd_init: choose one and only one formulation for thermal conductivity (ln_cndi_U64 or ln_cndi_P07)' )
+      ENDIF
+      !
+      IF ( rn_hinew < rn_himin )   CALL ctl_stop( 'STOP', 'ice_thd_init : rn_hinew should be >= rn_himin' )
       !
       IF(lwp) WRITE(numout,*)
-      SELECT CASE( nn_limflx )         ! LIM3 Multi-category heat flux formulation
+      SELECT CASE( nn_iceflx )         ! LIM3 Multi-category heat flux formulation
       CASE( -1  )
-         IF(lwp) WRITE(numout,*) '   LIM3: use per-category fluxes (nn_limflx = -1) '
-         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_limflx for LIM3 in coupled mode must be 0 or 2' )
+         IF(lwp) WRITE(numout,*) '   LIM3: use per-category fluxes (nn_iceflx = -1) '
+         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for LIM3 in coupled mode must be 0 or 2' )
       CASE(  0  )
-         IF(lwp) WRITE(numout,*) '   LIM3: use average per-category fluxes (nn_limflx = 0) '
+         IF(lwp) WRITE(numout,*) '   LIM3: use average per-category fluxes (nn_iceflx = 0) '
       CASE(  1  )
-         IF(lwp) WRITE(numout,*) '   LIM3: use average then redistribute per-category fluxes (nn_limflx = 1) '
-         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_limflx for LIM3 in coupled mode must be 0 or 2' )
+         IF(lwp) WRITE(numout,*) '   LIM3: use average then redistribute per-category fluxes (nn_iceflx = 1) '
+         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for LIM3 in coupled mode must be 0 or 2' )
       CASE(  2  )
-         IF(lwp) WRITE(numout,*) '   LIM3: Redistribute a single flux over categories (nn_limflx = 2) '
-         IF( .NOT. ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_limflx for LIM3 in forced mode cannot be 2' )
+         IF(lwp) WRITE(numout,*) '   LIM3: Redistribute a single flux over categories (nn_iceflx = 2) '
+         IF( .NOT. ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for LIM3 in forced mode cannot be 2' )
       CASE DEFAULT
-         CALL ctl_stop( 'ice_thd_init: LIM3 option, nn_limflx, should be between -1 and 2' )
+         CALL ctl_stop( 'ice_thd_init: LIM3 option, nn_iceflx, should be between -1 and 2' )
       END SELECT
       !
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90	(revision 8514)
@@ -20,4 +20,5 @@
    USE ice            ! LIM variables
    USE ice1D          ! LIM thermodynamics
+   USE icethd_sal     ! sea-ice: salinity profiles
    !
    USE in_out_manager ! I/O manager
@@ -107,8 +108,8 @@
       !!------------------------------------------------------------------
 
-      ! Discriminate between varying salinity (nn_icesal=2) and prescribed cases (other values)
+      ! Discriminate between time varying salinity and constant
       SELECT CASE( nn_icesal )                  ! varying salinity or not
-         CASE( 1, 3 )   ;   zswitch_sal = 0._wp   ! prescribed salinity profile
-         CASE( 2 )      ;   zswitch_sal = 1._wp   ! varying salinity profile
+         CASE( 1 , 3 )   ;   zswitch_sal = 0._wp   ! prescribed salinity profile
+         CASE( 2 )       ;   zswitch_sal = 1._wp   ! varying salinity profile
       END SELECT
 
@@ -406,6 +407,6 @@
 
       num_iter_max = 1
-      IF( nn_icesal == 2 ) num_iter_max = 5
-
+      IF( nn_icesal == 2 )   num_iter_max = 5  ! salinity varying in time
+      
       ! Iterative procedure
       DO ji = 1, nidx
@@ -586,5 +587,5 @@
          hfx_out_1d(ji)  = hfx_out_1d(ji) + ( zq_rema(ji) * a_i_1d(ji) ) * r1_rdtice
 
-         IF( ln_limctl .AND. zq_rema(ji) < 0. .AND. lwp ) WRITE(numout,*) 'ALERTE zq_rema <0 = ', zq_rema(ji)
+         IF( ln_icectl .AND. zq_rema(ji) < 0. .AND. lwp ) WRITE(numout,*) 'ALERTE zq_rema <0 = ', zq_rema(ji)
       END DO
 
@@ -613,5 +614,5 @@
          sfx_sni_1d(ji) = sfx_sni_1d(ji) + sss_1d(ji) * a_i_1d(ji) * zfmdt * r1_rdtice 
 
-         ! virtual salt flux to keep salinity constant
+         ! Case constant salinity in time: virtual salt flux to keep salinity constant
          IF( nn_icesal == 1 .OR. nn_icesal == 3 )  THEN
             sfx_bri_1d(ji) = sfx_bri_1d(ji) - sss_1d (ji) * a_i_1d(ji) * zfmdt                  * r1_rdtice  & ! put back sss_m     into the ocean
@@ -665,5 +666,5 @@
       REAL(wp), DIMENSION(:,:), INTENT(in   ) :: pin   ! previous fraction lead ( 1. - a_i_b )
       REAL(wp), DIMENSION(:,:), INTENT(inout) :: pout
-      pout = ( 1._wp - ( pin )**rn_betas )
+      pout = ( 1._wp - ( pin )**rn_blow_s )
    END SUBROUTINE ice_thd_snwblow_2d
 
@@ -671,5 +672,5 @@
       REAL(wp), DIMENSION(:), INTENT(in   ) :: pin
       REAL(wp), DIMENSION(:), INTENT(inout) :: pout
-      pout = ( 1._wp - ( pin )**rn_betas )
+      pout = ( 1._wp - ( pin )**rn_blow_s )
    END SUBROUTINE ice_thd_snwblow_1d
 
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dif.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dif.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dif.F90	(revision 8514)
@@ -287,5 +287,5 @@
          !------------------------------------------------------------------------------|
          !
-         IF( nn_ice_thcon == 0 ) THEN      ! Untersteiner (1964) formula
+         IF( ln_cndi_U64 ) THEN         !-- Untersteiner (1964) formula: k = k0 + beta.S/T
             DO ji = 1 , nidx
                ztcond_i(ji,0) = rcdic + zbeta * s_i_1d(ji,1) / MIN( -epsi10, t_i_1d(ji,1) - rt0 )
@@ -299,7 +299,6 @@
                END DO
             END DO
-         ENDIF
-
-         IF( nn_ice_thcon == 1 ) THEN      ! Pringle et al formula included: 2.11 + 0.09 S/T - 0.011.T
+
+         ELSEIF( ln_cndi_P07 ) THEN     !-- Pringle et al formula: k = k0 + beta1.S/T - beta2.T
             DO ji = 1 , nidx
                ztcond_i(ji,0) = rcdic + 0.090_wp * s_i_1d(ji,1) / MIN( -epsi10, t_i_1d(ji,1) - rt0 )   &
@@ -347,6 +346,6 @@
 
                ! Effective thickness he (zhe)
-               zfac     = 1._wp / ( rn_cdsn + zkimean )
-               zratio_s = rn_cdsn   * zfac
+               zfac     = 1._wp / ( rn_cnd_s + zkimean )
+               zratio_s = rn_cnd_s   * zfac
                zratio_i = zkimean * zfac
                zhe      = zratio_s * ht_i_1d(ji) + zratio_i * ht_s_1d(ji)
@@ -371,11 +370,11 @@
          DO ji = 1, nidx
             zfac                  =  1. / MAX( epsi10 , zh_s(ji) )
-            zkappa_s(ji,0)        = zghe(ji) * rn_cdsn * zfac
-            zkappa_s(ji,nlay_s)   = zghe(ji) * rn_cdsn * zfac
+            zkappa_s(ji,0)        = zghe(ji) * rn_cnd_s * zfac
+            zkappa_s(ji,nlay_s)   = zghe(ji) * rn_cnd_s * zfac
          END DO
 
          DO jk = 1, nlay_s-1
             DO ji = 1 , nidx
-               zkappa_s(ji,jk)    = zghe(ji) * 2.0 * rn_cdsn / MAX( epsi10, 2.0 * zh_s(ji) )
+               zkappa_s(ji,jk)    = zghe(ji) * 2.0 * rn_cnd_s / MAX( epsi10, 2.0 * zh_s(ji) )
             END DO
          END DO
@@ -393,6 +392,6 @@
             zkappa_i(ji,0)        = zghe(ji) * ztcond_i(ji,0) * zfac
             zkappa_i(ji,nlay_i)   = zghe(ji) * ztcond_i(ji,nlay_i) * zfac
-            zkappa_s(ji,nlay_s)   = zghe(ji) * zghe(ji) * 2.0 * rn_cdsn * ztcond_i(ji,0) / & 
-           &                        MAX( epsi10, ( zghe(ji) * ztcond_i(ji,0) * zh_s(ji) + zghe(ji) * rn_cdsn * zh_i(ji) ) )
+            zkappa_s(ji,nlay_s)   = zghe(ji) * zghe(ji) * 2.0 * rn_cnd_s * ztcond_i(ji,0) / & 
+           &                        MAX( epsi10, ( zghe(ji) * ztcond_i(ji,0) * zh_s(ji) + zghe(ji) * rn_cnd_s * zh_i(ji) ) )
             zkappa_i(ji,0)        = zkappa_s(ji,nlay_s) * isnow(ji) + zkappa_i(ji,0) * ( 1._wp - isnow(ji) )
          END DO
@@ -423,5 +422,5 @@
          !------------------------------------------------------------------------------|
          !
-         IF ( ln_dqnsice ) THEN 
+         IF ( ln_dqns_i ) THEN 
             DO ji = 1 , nidx
                ! update of the non solar flux according to the update in T_su
@@ -708,7 +707,7 @@
       !--- Snow-ice interfacial temperature (diagnostic SIMIP)
       DO ji = 1, nidx
-         zfac        = 1. / MAX( epsi10 , rn_cdsn * zh_i(ji) + ztcond_i(ji,1) * zh_s(ji) )
+         zfac        = 1. / MAX( epsi10 , rn_cnd_s * zh_i(ji) + ztcond_i(ji,1) * zh_s(ji) )
          IF( zh_s(ji) >= 1.e-3 ) THEN
-            t_si_1d(ji) = ( rn_cdsn        * zh_i(ji) * t_s_1d(ji,1) + &
+            t_si_1d(ji) = ( rn_cnd_s       * zh_i(ji) * t_s_1d(ji,1) + &
                &            ztcond_i(ji,1) * zh_s(ji) * t_i_1d(ji,1) ) * zfac
          ELSE
@@ -718,5 +717,5 @@
       ! END MV SIMIP 2016
 
-      IF( ln_limctl .AND. lwp ) THEN
+      IF( ln_icectl .AND. lwp ) THEN
          WRITE(numout,*) ' zdti_max : ', zdti_max
          WRITE(numout,*) ' iconv    : ', iconv
@@ -748,5 +747,5 @@
 
       ! --- diagnose the change in non-solar flux due to surface temperature change --- !
-      IF ( ln_dqnsice ) THEN
+      IF ( ln_dqns_i ) THEN
          DO ji = 1, nidx
             hfx_err_dif_1d(ji) = hfx_err_dif_1d(ji) - ( qns_ice_1d(ji)  - zqns_ice_b(ji) ) * a_i_1d(ji) 
